package tourplaner.object;

import jdk.jshell.spi.ExecutionControl;

import java.time.LocalDate;
import java.util.Date;

public class Log {
    private String id, bemerkung;
    private LocalDate datum;
    private double strecke, avgspeed, hightmeter, pause, dauer, gegangen;

    public Log(String id, double dauer, LocalDate datum, double strecke, String bemerkung, double hightmeter, double pause) {
        this.id = id;
        this.dauer = dauer;
        this.datum = datum;
        this.strecke = strecke;
        this.bemerkung = bemerkung;
        this.hightmeter = hightmeter;
        this.pause = pause;
        this.gegangen = this.dauer - this.pause;
        this.avgspeed = this.strecke / (this.gegangen);
    }

    public String getBemerkung() {
        return bemerkung;
    }

    public void setBemerkung(String bemerkung) {
        this.bemerkung = bemerkung;
    }

    public double getAvgspeed() {
        return avgspeed;
    }

    public void setAvgspeed(double avgspeed) {
        this.avgspeed = avgspeed;
    }

    public double getHightmeter() {
        return hightmeter;
    }

    public void setHightmeter(double hightmeter) {
        this.hightmeter = hightmeter;
    }

    public double getPause() {
        return pause;
    }

    public void setPause(double pause) {
        this.pause = pause;
    }

    public double getGegangen() {
        return gegangen;
    }

    public void setGegangen(double gegangen) {
        this.gegangen = gegangen;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public double getDauer() {
        return dauer;
    }

    public void setDauer(double dauer) {
        this.dauer = dauer;
    }

    public LocalDate getDatum() {
        return datum;
    }

    public void setDatum(LocalDate datum) {
        this.datum = datum;
    }

    public double getStrecke() {
        return strecke;
    }

    public void setStrecke(double strecke) {
        this.strecke = strecke;
    }
}
